> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #Accel 3 Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on FT90
```
#include <stdint.h>
#include "accel3.h"

sbit ACCEL_3_CS  at GPIO_PIN28_bit;
sbit ACCEL_3_INT at GPIO_PIN3_bit;

void system_setup( uint8_t address,accel_mode_t accel_mode,
                     data_rate_t d_rate, bus_mode_t mode );

void system_setup( uint8_t address,accel_mode_t accel_mode,
                     data_rate_t d_rate, bus_mode_t mode )
{

    //GPIO Outputs
  GPIO_Digital_Output(&GPIO_PORT_00_07, _GPIO_PINMASK_3 );
  GPIO_Digital_Input(&GPIO_PORT_24_31, _GPIO_PINMASK_4 );
  Delay_ms(300);


  Delay_ms(200);
    //I2C
  I2CM1_Init(_I2CM_SPEED_MODE_STANDARD, _I2CM_SWAP_DISABLE);
  Delay_ms(500);

    //Accel 3 Initialization
  accel3_init( address, NORMAL, HZ_100, I2C );

    //UART Initialization
  UART1_Init(57600);
  Delay_ms(300);

  UART1_Write_Text( "UART Initialized" );
  UART1_Write_Text( "\r\n" );

}

```

```
void main()
{
  uint8_t address = 0x18;
  xyz_t* my_coords;
  uint8_t thresh = 1;
  uint8_t duration = 15;
  char text[50];

  system_setup( address, accel_mode, d_rate, mode );

  while(1)
  {
     my_coords = accel3_get_xyz();

     sprintf( text, " x: %d y: %d z: %d ", my_coords->x_pos, my_coords->y_pos, my_coords->z_pos );
     UART1_Write_Text( text );
     UART1_Write_Text( "\r\n" );
     Delay_ms(1000);
  }

}

```

