#include <stdint.h>
#include "accel3.h"


//sbit ACCEL_3_RST at GPIOC_ODR.B2;
sbit ACCEL_3_CS  at GPIO_PIN28_bit;
sbit ACCEL_3_INT at GPIO_PIN3_bit;


void main()
{
  uint8_t address = 0x18;
  xyz_t* my_coords;
  uint8_t thresh = 1;
  uint8_t duration = 15;
  char text[50];

  //GPIO Outputs
  GPIO_Digital_Output(&GPIO_PORT_00_07, _GPIO_PINMASK_3 );
  GPIO_Digital_Input(&GPIO_PORT_24_31, _GPIO_PINMASK_4 );
  Delay_ms(300);


  Delay_ms(200);
  //I2C
  I2CM1_Init(_I2CM_SPEED_MODE_STANDARD, _I2CM_SWAP_DISABLE);
  Delay_ms(500);

  //Accel 3 Initialization
  accel3_init( address, NORMAL, HZ_100, I2C );
  accel3_hp_filter_mode_select( HP_NORMAL_MODE );
  accel3_filtered_data_selection_enable( true );


  //UART Initialization
  UART1_Init(57600);
  Delay_ms(300);

  UART1_Write_Text( "UART Initialized" );
  UART1_Write_Text( "\r\n" );

  while (1)
  {
    my_coords = accel3_get_xyz_raw();

    sprintf( text, " x: %d y: %d z: %d ", my_coords->x_pos, my_coords->y_pos, my_coords->z_pos );
    UART1_Write_Text( text );
    UART1_Write_Text( "\r\n" );
    Delay_ms(1000);
  }

}

/*
void get_calibration( void )
{
  xyz_t* my_coords;
  int32_t sum[3] = {0};
  char* tag[] = {"Z+", "Z-", "Y+", "Y-", "X+", "X-"};
  int16_t dataBuf[6][3] = {0};
  char text[70] = { 0 };
  char temp_str[3] = { 0 };
  uint8_t timer = 0;
  uint8_t i = 0;
  int16_t axis_x;
  int16_t axis_y;
  int16_t axis_z;

  Delay_ms(1000);
  for ( timer = 0; timer < 6; timer++)
  {
    UART1_Write_Text(" Please Turn " );
    UART1_Write_Text( tag[timer] );
    UART1_Write_Text( " up\r\n" );
    Delay_ms(2000);
    for ( i = 0; i < 5; i++)
    {
      UART1_Write_Text( "Start will be in " );
      IntToStr( ( 5 - i ), text );
      UART1_Write_Text( text );
      UART1_Write_Text( " seconds\r\n" );
      Delay_ms(1000);
    }
    UART1_Write_Text( "Calculating\r\n" );
    for ( i = 0 ; i < 100; i++)
    {
      my_coords = accel3_get_xyz_raw();
      sum[0] += my_coords->x_pos;
      sum[1] += my_coords->y_pos;
      sum[2] += my_coords->z_pos;
    }
    Delay_ms(20);

    dataBuf[timer][0] = sum[0] / 100;
    dataBuf[timer][1] = sum[1] / 100;
    dataBuf[timer][2] = sum[2] / 100;
    sum[0] = sum[1] = sum[2] = 0;
    UART1_Write_Text( "Calculate Success\r\n" );
    Delay_ms(1000);
  }

  axis_x = (dataBuf[4][0] + dataBuf[5][0]) * 0.3 + (dataBuf[0][0] + dataBuf[1][0] + dataBuf[2][0] + dataBuf[3][0]) / 10;
  IntToStr( axis_x, text );
  UART1_Write_Text(" Adjust Value of X is " );
  UART1_Write_Text( text );
  UART1_Write_Text( "\r\n" );
  axis_y = (dataBuf[2][1] + dataBuf[3][1]) * 0.3 + (dataBuf[0][1] + dataBuf[1][1] + dataBuf[4][1] + dataBuf[5][1]) / 10;
  IntToStr( axis_y, text );
  UART1_Write_Text(" Adjust Value of Y is " );
  UART1_Write_Text( text );
  UART1_Write_Text( "\r\n" );
  axis_z = (dataBuf[0][2] + dataBuf[1][2]) * 0.3 + (dataBuf[2][2] + dataBuf[3][2] + dataBuf[4][2] + dataBuf[5][2]) / 10;
  IntToStr( axis_z, text );
  UART1_Write_Text(" Adjust Value of Z is " );
  UART1_Write_Text( text );
  UART1_Write_Text( "\r\n" );
  Delay_ms(3000);
  set_x( axis_x );
  set_y( axis_y );
  set_z( axis_z );
  UART1_Write_Text( "\r\n\r\n----- Calibration Finished -----\r\n\r\n" );

}      */